{% extends "layout.html" %}
{% block content %}
    
    <article class="media content-section">
        <img class="rounded-circle article-img" src="{{ url_for('static', filename='profile_pics/' + task.author.image_file) }}" ></img>
        <div class="media-body">
        <div class="article-metadata">
            <a class="mr-2" href="#">{{ task.author.username }}</a>
            <small class="text-muted">{{ task.date_posted.strftime('%Y-%m-%d') }}</small>
            {% if task.author == current_user %}
                <div>
                    <a class="btn btn-secondary btn-sm  mt-1 mb-1" href="{{ url_for('update_task',task_id=task.id) }}" style="border-radius: 25px">Update</a>
                    <button type="button" class="btn btn-danger btn-sm m-1" data-toggle="modal" data-target="#deleteModal" style="border-radius: 25px">Delete</button>
                </div>
            {% endif %}
        </div>
        <h2 class="article-title">{{ task.title }}</h2>
        <p class="article-content">{{ task.content }}</p>
        </div>
    </article>

    <!-- Modal -->
  <div class="modal fade" id="deleteModal" tabindex="-1" role="dialog" aria-labelledby="deleteModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="deleteModalLabel">Delete Post?</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close" >
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-dismiss="modal" style="border-radius: 25px">Close</button>
            <form action="{{ url_for('delete_task', task_id=task.id) }}" method="POST">
              <input class="btn btn-danger" type="submit" value="Delete" style="border-radius: 25px">
            </form>
          </div>
      </div>
    </div>
  </div>
   
{% endblock content %}